package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店满减活动商品，参与满减活动的商品实体
 * 表名 mk_store_camp_minus_goods
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:29
 */
public class MkStoreCampMinusGoodsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 满减活动商品id
     */
    private Integer minusGoodId;
    /**
     * 满减活动id
     */
    private Integer campMinusId;
    /**
     * 适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    private String applyType;
    /**
     * 门店商品id，当满减适用类型为00时，门店商品id可以为空，否则必填
     */
    private Integer storeRelaId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String goodsName;

    private String storeName;

    private BigDecimal retailPrice;

    private BigDecimal marketPrice;

    private BigDecimal actualTotalPrice;

    private String isOnSale;

    private Integer storeTopicId;

    public Integer getStoreTopicId() {
        return storeTopicId;
    }

    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public BigDecimal getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }

    public BigDecimal getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(BigDecimal marketPrice) {
        this.marketPrice = marketPrice;
    }

    public BigDecimal getActualTotalPrice() {
        return actualTotalPrice;
    }

    public void setActualTotalPrice(BigDecimal actualTotalPrice) {
        this.actualTotalPrice = actualTotalPrice;
    }

    public String getIsOnSale() {
        return isOnSale;
    }

    public void setIsOnSale(String isOnSale) {
        this.isOnSale = isOnSale;
    }

    /**
     * 设置：满减活动商品id
     */
    public void setMinusGoodId(Integer minusGoodId) {
        this.minusGoodId = minusGoodId;
    }

    /**
     * 获取：满减活动商品id
     */
    public Integer getMinusGoodId() {
        return minusGoodId;
    }
    /**
     * 设置：满减活动id
     */
    public void setCampMinusId(Integer campMinusId) {
        this.campMinusId = campMinusId;
    }

    /**
     * 获取：满减活动id
     */
    public Integer getCampMinusId() {
        return campMinusId;
    }
    /**
     * 设置：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    /**
     * 获取：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public String getApplyType() {
        return applyType;
    }
    /**
     * 设置：门店商品id，当满减适用类型为00时，门店商品id可以为空，否则必填
     */
    public void setStoreRelaId(Integer storeRelaId) {
        this.storeRelaId = storeRelaId;
    }

    /**
     * 获取：门店商品id，当满减适用类型为00时，门店商品id可以为空，否则必填
     */
    public Integer getStoreRelaId() {
        return storeRelaId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
